#!/bin/sh

[ ! -f /proc/sys/net/ipv4/ip_port_acl_gid -a ! -f /proc/sys/net/ipv4/ip_sock_raw_gid -a ! -f /proc/sys/net/ipv4/ip_sock_packet_gid ] && exit 0

echo -n "Setting up pseudo port/socket acl sysctls: "

if [ -f /proc/sys/net/ipv4/ip_port_acl_gid ]; then
	awk -F: '/^portacl:/ { print $3 }' /etc/group > \
		/proc/sys/net/ipv4/ip_port_acl_gid
	echo -n "ip_port_acl_gid "
fi

if [ -f /proc/sys/net/ipv4/ip_sock_raw_gid ]; then
	awk -F: '/^raw:/ { print $3 }' /etc/group > \
		/proc/sys/net/ipv4/ip_sock_raw_gid
	echo -n "ip_sock_raw_gid "
fi

if [ -f /proc/sys/net/sock_packet_gid ]; then
	awk -F: '/^packet:/ { print $3 }' /etc/group > \
		/proc/sys/net/sock_packet_gid
	echo -n "ip_sock_packet_gid "
fi

echo -e "\b. Done."
